Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1375377 - False value in tooltip
Summary: False value in tooltip
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-applets
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-12 22:31 UTC by pkoz
Modified: 2017-11-20 17:58 UTC (History)
4 users (show)

Fixed In Version: mate-applets-1.19.2-2.fc27 mate-applets-1.18.2-2.fc26 mate-applets-1.18.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-19 23:16:48 UTC
Type: Bug


Attachments (Terms of Use)

Description pkoz 2016-09-12 22:31:02 UTC
Description of problem:
The processor load tooltip does not show the actual CPU load percentage when the cursor is hovered over the graph on the panel. Instead, it shows the value of the left leaving edge of the graph which is 20..30 seconds in the past.

Version-Release number of selected component (if applicable):
$ rpm -qi mate-system-monitor
Name        : mate-system-monitor
Version     : 1.14.1
Release     : 1.fc24
Architecture: x86_64
Install Date: Thu Aug 25 06:36:50 2016
Group       : Unspecified
Size        : 4491213
License     : GPLv2+
Signature   : RSA/SHA256, Sat Aug 13 18:55:44 2016, Key ID 73bde98381b46521
Source RPM  : mate-system-monitor-1.14.1-1.fc24.src.rpm
Build Date  : Sat Aug 13 00:28:43 2016
Build Host  : buildvm-23.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://mate-desktop.org
Summary     : Process and resource monitor
Description :
mate-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.


How reproducible:
Easily.

Steps to Reproduce:
1. Run some CPU-intensive program.
2. Shut it down.
3. Hover the cursor over the CPU graph on the panel
4. Observe how the % values change in the tooltip.

Actual results:
Percentage is high long after the program has been shut down.
Percentage falls as the historical part of the graph leaves the left edge of the monitor rectangle.

Expected results:
One would expect that the tooltip shows the actual, real-time value of the measured property and not some value back in the past.

Additional info:
I am not sure about the other graphs and tooltip values, but the memory is also suspicious to me. If I am right on the CPU grpah then please check the rest, too.

Comment 1 Wolfgang Ulbrich 2017-11-04 12:45:37 UTC
Can you please file out a report at upstream?
https://github.com/mate-desktop/mate-system-monitor/issues

Comment 2 pkoz 2017-11-05 15:07:33 UTC
(In reply to Wolfgang Ulbrich from comment #1)
> Can you please file out a report at upstream?
> https://github.com/mate-desktop/mate-system-monitor/issues

https://github.com/mate-desktop/mate-system-monitor/issues/103

Comment 3 Wolfgang Ulbrich 2017-11-05 20:35:34 UTC
Thx

Comment 4 Fedora Update System 2017-11-09 10:30:19 UTC
mate-applets-1.18.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-76263fb298

Comment 5 Fedora Update System 2017-11-09 10:30:29 UTC
mate-applets-1.18.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-13efef95a3

Comment 6 Fedora Update System 2017-11-09 12:07:54 UTC
mate-applets-1.19.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4727048589

Comment 7 Fedora Update System 2017-11-11 03:14:01 UTC
mate-applets-1.19.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-11-11 16:02:31 UTC
mate-applets-1.18.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-13efef95a3

Comment 9 Fedora Update System 2017-11-11 17:29:55 UTC
mate-applets-1.18.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-76263fb298

Comment 10 Fedora End Of Life 2017-11-16 19:54:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora Update System 2017-11-19 23:16:48 UTC
mate-applets-1.18.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-11-20 17:58:59 UTC
mate-applets-1.18.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.